//   #    #     #  #####  ######  
//  # #   #     # #     # #     # 
// #   #  #     # #       #     # 
//#     # #     #  #####  ######  
//#######  #   #        # #       
//#     #   # #   #     # #       
//#     #    #     #####  #       
//
//HIDE ITEMS IN JEI
//BY NEEPNOOP & ANOKKA / 2021
//
onEvent('jei.hide.items', event => {
//COAL
	//Coal dust
	event.hide('silents_mechanisms:coal_dust')
	event.hide('mekanism:dust_coal')
	event.hide('terraqueous:coal_dust')
	//Coal ore
	event.hide('minecraft:coal_ore')
//
//IRON
	//Iron dust
	event.hide('immersiveengineering:dust_iron')
	event.hide('silents_mechanisms:iron_dust')
	// event.hide('mekanism:dust_iron')
	event.hide('pedestals:dustiron')
	event.hide('mysticalworld:iron_dust')
	event.hide('thermal:iron_dust')
	event.hide('occultism:iron_dust')
	event.hide('terraqueous:iron_dust')
	// event.hide('appliedenergistics2:iron_dust')
	//Iron gear
	event.hide('thermal:iron_gear')
	event.hide('titanium:iron_gear')
	//Iron plate
	event.hide('immersiveengineering:plate_iron')
	event.hide('thermal:iron_plate')
	event.hide('create:iron_sheet')
	//Iron rod
	event.hide('silentgear:iron_rod')
	event.hide('immersiveengineering:stick_iron')
	event.hide('buildersaddition:iron_rod')
	// event.hide('createaddition:iron_rod')
	//Iron ore
	event.hide('minecraft:iron_ore')
	event.hide('geolosys:iron_cluster')
//
//GOLD
	//Gold dust
	event.hide('immersiveengineering:dust_gold')
	event.hide('silents_mechanisms:gold_dust')
	// event.hide('mekanism:dust_gold')
	event.hide('pedestals:dustgold')
	event.hide('mysticalworld:gold_dust')
	event.hide('thermal:gold_dust')
	event.hide('occultism:gold_dust')
	event.hide('terraqueous:gold_dust')
	// event.hide('appliedenergistics2:gold_dust')
	//Gold gear
	event.hide('thermal:gold_gear')
	event.hide('titanium:gold_gear')
	event.hide('thermal:gold_plate')
	event.hide('immersiveengineering:plate_gold')
	//Gold rod
	event.hide('immersiveposts:stick_gold')
	// event.hide('createaddition:gold_rod')
	//Gold ore
	event.hide('minecraft:gold_ore')
	event.hide('minecraft:nether_gold_ore')
	event.hide('geolosys:gold_cluster')
	event.hide('geolosys:nether_gold_cluster')
//
//DIAMOND
	//Diamond dust
	event.hide('createaddition:diamond_grit')
	event.hide('mekanism:dust_diamond')
	event.hide('thermal:diamond_dust')
	event.hide('terraqueous:diamond_dust')
	//Diamond gear
	event.hide('thermal:diamond_gear')
	event.hide('titanium:diamond_gear')
	//Diamond ore
	event.hide('minecraft:diamond_ore')
//
//EMERALD
	//Emerald dust
	event.hide('mekanism:dust_emerald')
	event.hide('thermal:emerald_dust')
	event.hide('terraqueous:emerald_dust')
	//Emerald gear
	event.hide('thermal:emerald_gear')
	//Emerald ore
	event.hide('minecraft:emerald_ore')
//
//LAPIS LAZULI
	//Lapis lazuli dust
	event.hide('thermal:lapis_dust')
	event.hide('mekanism:dust_lapis_lazuli')
	//Lapis lazuli gear
	event.hide('thermal:lapis_lazuli_gear')
	//Lapis lazuli plate
	event.hide('create:lapis_sheet')
	//Lapis lazuli ore
	event.hide('minecraft:lapis_ore')
//
//NETHER QUARTZ
	//Nether quartz dust
	event.hide('mekanism:dust_quartz')
	event.hide('thermal:quartz_dust')
	event.hide('appliedenergistics2:nether_quartz_dust')
	//Nether quartz gear
	event.hide('thermal:quartz_gear')
	//Nether quartz ore
	event.hide('minecraft:nether_quartz_ore')
//
//COPPER
	//Copper ingot
	event.hide('silents_mechanisms:copper_ingot')
	event.hide('tmechworks:copper_ingot')
	event.hide('mekanism:ingot_copper')
	event.hide('mysticalworld:copper_ingot')
	event.hide('thermal:copper_ingot')
	event.hide('immersiveengineering:ingot_copper')
	event.hide('occultism:copper_ingot')
	event.hide('create:copper_ingot')
	event.hide('tconstruct:copper_ingot')
	event.hide('iceandfire:copper_ingot')
	event.hide('routerreborn:copper_ingot')
	event.hide('geolosys:copper_ingot')
	event.hide('projectred-core:copper_ingot')
	//Copper block
	event.hide('silents_mechanisms:copper_block')
	event.hide('tmechworks:copper_block')
	event.hide('mekanism:block_copper')
	event.hide('mysticalworld:copper_block')
	event.hide('thermal:copper_block')
	event.hide('immersiveengineering:storage_copper')
	event.hide('occultism:copper_block')
	event.hide('create:copper_block')
	event.hide('tconstruct:copper_block')
	event.hide('iceandfire:copper_block')
	//Copper nugget
	event.hide('silents_mechanisms:copper_nugget')
	event.hide('tmechworks:copper_nugget')
	event.hide('mekanism:nugget_copper')
	event.hide('mysticalworld:copper_nugget')
	event.hide('thermal:copper_nugget')
	event.hide('immersiveengineering:nugget_copper')
	event.hide('occultism:copper_nugget')
	event.hide('create:copper_nugget')
	event.hide('tconstruct:copper_nugget')
	event.hide('iceandfire:copper_nugget')
	event.hide('geolosys:copper_nugget')
	//Copper dust
	event.hide('immersiveengineering:dust_copper')
	event.hide('silents_mechanisms:copper_dust')
	event.hide('mekanism:dust_copper')
	event.hide('pedestals:dustcopper')
	event.hide('mysticalworld:copper_dust')
	event.hide('thermal:copper_dust')
	event.hide('occultism:copper_dust')
	//Copper gear
	event.hide('thermal:copper_gear')
	//Copper plate
	event.hide('create:copper_sheet')
	event.hide('thermal:copper_plate')
	event.hide('immersiveengineering:plate_copper')
	//Copper rod
	event.hide('immersiveposts:stick_copper')
	// event.hide('createaddition:copper_rod')
	//Copper ore
	event.hide('immersiveengineering:ore_copper')
	event.hide('mekanism:copper_ore')
	event.hide('create:copper_ore')
	event.hide('thermal:copper_ore')
	event.hide('tmechworks:copper_ore')
	event.hide('mysticalworld:copper_ore')
	event.hide('silents_mechanisms:copper_ore')
	event.hide('tconstruct:copper_ore')
	event.hide('occultism:copper_ore')
	event.hide('iceandfire:copper_ore')
	event.hide('routerreborn:copper_ore')
	event.hide('geolosys:copper_cluster')
	event.hide('projectred-exploration:copper_ore')
//
//ALUMINUM
	//Aluminum ingot
	event.hide('silents_mechanisms:aluminum_ingot')
	event.hide('tmechworks:aluminum_ingot')
	event.hide('immersiveengineering:ingot_aluminium')
	event.hide('geolosys:aluminum_ingot')
	//Aluminum block
	event.hide('silents_mechanisms:aluminum_block')
	event.hide('tmechworks:aluminum_block')
	event.hide('immersiveengineering:storage_aluminium')
	//Aluminum nugget
	event.hide('silents_mechanisms:aluminum_nugget')
	event.hide('tmechworks:aluminum_nugget')
	event.hide('immersiveengineering:nugget_aluminium')
	event.hide('geolosys:aluminum_nugget')
	//Aluminum dust
	event.hide('silents_mechanisms:aluminum_dust')
	event.hide('pedestals:dustaluminum')
	event.hide('immersiveengineering:dust_aluminium')
	//Aluminum plate
	event.hide('immersiveengineering:plate_aluminium')
	//Aluminum rod
	event.hide('immersiveengineering:stick_aluminium')
	//Aluminum ore
	event.hide('tmechworks:aluminum_ore')
	event.hide('immersiveengineering:ore_aluminum')
	event.hide('silents_mechanisms:bauxite_ore')
	event.hide('geolosys:aluminum_cluster')
//
//SILVER
	//Silver ingot
	event.hide('silents_mechanisms:silver_ingot')
	event.hide('mysticalworld:silver_ingot')
	event.hide('thermal:silver_ingot')
	event.hide('immersiveengineering:ingot_silver')
	event.hide('occultism:silver_ingot')
	event.hide('iceandfire:silver_ingot')
	event.hide('geolosys:silver_ingot')
	event.hide('projectred-core:silver_ingot')
	//Silver block
	event.hide('silents_mechanisms:silver_block')
	event.hide('mysticalworld:silver_block')
	event.hide('thermal:silver_block')
	event.hide('immersiveengineering:storage_silver')
	event.hide('occultism:silver_block')
	event.hide('iceandfire:silver_block')
	//Silver nugget
	event.hide('silents_mechanisms:silver_nugget')
	event.hide('mysticalworld:silver_nugget')
	event.hide('thermal:silver_nugget')
	event.hide('immersiveengineering:nugget_silver')
	event.hide('occultism:silver_nugget')
	event.hide('iceandfire:silver_nugget')
	event.hide('geolosys:silver_nugget')
	//Silver dust
	event.hide('silents_mechanisms:silver_dust')
	event.hide('mysticalworld:silver_dust')
	event.hide('thermal:silver_dust')
	event.hide('immersiveengineering:dust_silver')
	event.hide('occultism:silver_dust')
	event.hide('pedestals:dustsilver')
	//Silver gear
	event.hide('thermal:silver_gear')
	//Silver plate
	event.hide('thermal:silver_plate')
	event.hide('immersiveengineering:plate_silver')
	//Silver rod
	event.hide('immersiveposts:stick_silver')
	//Silver ore
	event.hide('immersiveengineering:ore_silver')
	event.hide('thermal:silver_ore')
	event.hide('mysticalworld:silver_ore')
	event.hide('silents_mechanisms:silver_ore')
	event.hide('occultism:silver_ore')
	event.hide('iceandfire:silver_ore')
	event.hide('geolosys:silver_cluster')
	event.hide('projectred-exploration:silver_ore')
//
//LEAD
	//Lead ingot
	event.hide('silents_mechanisms:lead_ingot')
	event.hide('mekanism:ingot_lead')
	event.hide('mysticalworld:lead_ingot')
	event.hide('thermal:lead_ingot')
	event.hide('immersiveengineering:ingot_lead')
	event.hide('eidolon:lead_ingot')
	event.hide('geolosys:lead_ingot')
	//Lead block
	event.hide('silents_mechanisms:lead_block')
	event.hide('mekanism:block_lead')
	event.hide('mysticalworld:lead_block')
	event.hide('thermal:lead_block')
	event.hide('immersiveengineering:storage_lead')
	event.hide('eidolon:lead_block')
	//Lead nugget
	event.hide('silents_mechanisms:lead_nugget')
	event.hide('mekanism:nugget_lead')
	event.hide('mysticalworld:lead_nugget')
	event.hide('thermal:lead_nugget')
	event.hide('immersiveengineering:nugget_lead')
	event.hide('eidolon:lead_nugget')
	event.hide('geolosys:lead_nugget')
	//Lead dust
	event.hide('silents_mechanisms:lead_dust')
	event.hide('mekanism:dust_lead')
	event.hide('mysticalworld:lead_dust')
	event.hide('thermal:lead_dust')
	event.hide('immersiveengineering:dust_lead')
	event.hide('eidolon:lead_dust')
	event.hide('pedestals:dustlead')
	//Lead gear
	event.hide('thermal:lead_gear')
	//Lead plate
	event.hide('thermal:lead_plate')
	event.hide('immersiveengineering:plate_lead')
	//Lead rod
	event.hide('immersiveposts:stick_lead')
	//Lead ore
	event.hide('immersiveengineering:ore_lead')
	event.hide('mekanism:lead_ore')
	event.hide('thermal:lead_ore')
	event.hide('mysticalworld:lead_ore')
	event.hide('silents_mechanisms:lead_ore')
	event.hide('eidolon:lead_ore')
	event.hide('geolosys:lead_cluster')
//
//NICKEL
	//Nickel ingot
	event.hide('silents_mechanisms:nickel_ingot')
	event.hide('thermal:nickel_ingot')
	event.hide('immersiveengineering:ingot_nickel')
	event.hide('geolosys:nickel_ingot')
	//Nickel block
	event.hide('silents_mechanisms:nickel_block')
	event.hide('thermal:nickel_block')
	event.hide('immersiveengineering:storage_nickel')
	//Nickel nugget
	event.hide('silents_mechanisms:nickel_nugget')
	event.hide('thermal:nickel_nugget')
	event.hide('immersiveengineering:nugget_nickel')
	event.hide('geolosys:nickel_nugget')
	//Nickel dust
	event.hide('silents_mechanisms:nickel_dust')
	event.hide('thermal:nickel_dust')
	event.hide('immersiveengineering:dust_nickel')
	event.hide('pedestals:dustnickel')
	//Nickel gear
	event.hide('thermal:nickel_gear')
	//Nickel plate
	event.hide('thermal:nickel_plate')
	event.hide('immersiveengineering:plate_nickel')
	//Nickel rod
	event.hide('immersiveposts:stick_nickel')
	//Nickel ore
	event.hide('immersiveengineering:ore_nickel')
	event.hide('thermal:nickel_ore')
	event.hide('silents_mechanisms:nickel_ore')
	event.hide('geolosys:nickel_cluster')
//
//URANIUM
	//Uranium ingot
	event.hide('silents_mechanisms:uranium_ingot')
	event.hide('mekanism:ingot_uranium')
	event.hide('immersiveengineering:ingot_uranium')
	//Uranium block
	event.hide('silents_mechanisms:uranium_block')
	event.hide('mekanism:block_uranium')
	event.hide('immersiveengineering:storage_uranium')
	//Uranium nugget
	event.hide('silents_mechanisms:uranium_nugget')
	event.hide('mekanism:nugget_uranium')
	event.hide('immersiveengineering:nugget_uranium')
	//Uranium dust
	event.hide('silents_mechanisms:uranium_dust')
	event.hide('mekanism:dust_uranium')
	event.hide('immersiveengineering:dust_uranium')
	event.hide('pedestals:dusturanium')
	//Uranium plate
	event.hide('immersiveengineering:plate_uranium')
	//Uranium post
	event.hide('immersiveposts:stick_uranium')
	//Uranium ore
	event.hide('immersiveengineering:ore_uranium')
	event.hide('mekanism:uranium_ore')
	event.hide('silents_mechanisms:uranium')
	event.hide('geolosys:uranium_cluster')
	event.hide('geolosys:yellorium_cluster')
//
//OSMIUM
	//Osmium ingot
	event.hide('mekanism:ingot_osmium')
	//Osmium block
	event.hide('mekanism:block_osmium')
	//Osmium nugget
	event.hide('mekanism:nugget_osmium')
	//Osmium dust
	event.hide('mekanism:dust_osmium')
	event.hide('pedestals:dustosmium')
	//Osmium ore
	event.hide('mekanism:osmium_ore')
	event.hide('geolosys:osmium_cluster')
//
//TIN
	//Tin ingot
	event.hide('silents_mechanisms:tin_ingot')
	event.hide('mekanism:ingot_tin')
	event.hide('mysticalworld:tin_ingot')
	event.hide('thermal:tin_ingot')
	event.hide('geolosys:tin_ingot')
	event.hide('projectred-core:tin_ingot')
	//Tin block
	event.hide('silents_mechanisms:tin_block')
	event.hide('mekanism:block_tin')
	event.hide('mysticalworld:tin_block')
	event.hide('thermal:tin_block')
	//Tin nugget
	event.hide('silents_mechanisms:tin_nugget')
	event.hide('mekanism:nugget_tin')
	event.hide('mysticalworld:tin_nugget')
	event.hide('thermal:tin_nugget')
	event.hide('geolosys:tin_nugget')
	//Tin dust
	event.hide('silents_mechanisms:tin_dust')
	event.hide('mekanism:dust_tin')
	event.hide('mysticalworld:tin_dust')
	event.hide('thermal:tin_dust')
	event.hide('pedestals:dusttin')
	//Tin gear
	event.hide('thermal:tin_gear')
	//Tin plate
	event.hide('thermal:tin_plate')
	//Tin ore
	event.hide('mekanism:tin_ore')
	event.hide('thermal:tin_ore')
	event.hide('mysticalworld:tin_ore')
	event.hide('silents_mechanisms:tin_ore')
	event.hide('geolosys:tin_cluster')
	event.hide('projectred-exploration:tin_ore')
//
//ZINC
	//Zinc ingot
	event.hide('silents_mechanisms:zinc_ingot')
	event.hide('create:zinc_ingot')
	event.hide('geolosys:zinc_ingot')
	//Zinc block
	event.hide('silents_mechanisms:zinc_block')
	event.hide('create:zinc_block')
	//Zinc nugget
	event.hide('silents_mechanisms:zinc_nugget')
	event.hide('create:zinc_nugget')
	event.hide('geolosys:zinc_nugget')
	//Zinc dust
	event.hide('silents_mechanisms:zinc_dust')
	//Zinc plate
	// event.hide('createaddition:zinc_sheet')
	//Zinc ore
	event.hide('create:zinc_ore')
	event.hide('silents_mechanisms:zin_ore')
	event.hide('geolosys:zinc_cluster')
//
//COBALT
	//Cobalt ingot
	event.hide('tconstruct:cobalt_ingot')
	//Cobalt block
	event.hide('tconstruct:cobalt_block')
	//Cobalt nuggett
	event.hide('tconstruct:cobalt_nugget')
	//Cobalt ore
	event.hide('tconstruct:cobalt_ore')
//CERTUS QUARTZ
	//Certus quartz crystal
	event.hide('emendatusenigmatica:certus_quartz_gem')
	//Certus quartz dust
	event.hide('emendatusenigmatica:certus_quartz_dust')
	//Certus quartz ore
	event.hide('appliedenergistics2:quartz_ore')
//
//CHARGED CERTUS QUARTZ
	//Charged certus quartz crystal
	event.hide('emendatusenigmatica:charged_certus_quartz_gem')
	//Charged certus quartz ore
	event.hide('appliedenergistics2:charged_quartz_ore')
//
//FLUIX CRYSTAL
	//Fluix crystal
	event.hide('emendatusenigmatica:fluix_gem')
	//Fluix crystal dust
	event.hide('emendatusenigmatica:fluix_dust')
	//Fluix block
	event.hide('emendatusenigmatica:fluix_block')
//
//FLUORITE
	//Fluorite crystal
	event.hide('mekanism:fluorite_gem')
	//Fluorite dust
	event.hide('mekanism:dust_fuorite')
	//Fluorite ore
	event.hide('mekanism:fluorite_ore')
//
//BITUMEN
	//Bitumen gem
	event.hide('immersivepetroleum:bitumen')
	event.hide('thermal:bitumen')
	//Bitumen block
	event.hide('thermal:bitumen_block')
//
//CINNABAR
	//Cinnabar gem
	event.hide('thermal:cinnabar')
	//Cinnabar block
	event.hide('thermal:cinnabar_block')
	//Cinnabar dust
	event.hide('thermal:cinnabar_dust')
	//Cinnabar ore
	event.hide('thermal:cinnabar_ore')
//
//APATITE
	//Apatite gem
	event.hide('thermal:apatite')
	//Apatite block
	event.hide('thermal:apatite_block')
	//Apatite dust
	event.hide('thermal:apatite_dust')
	//Apatite ore
	event.hide('thermal:apatite_ore')
//
//SULFUR
	//Sulfur gem
	event.hide('thermal:sulfur')
	//Sulfur block
	event.hide('thermal:sulfur_block')
	//Sulfur dust
	event.hide('thermal:sulfur_dust')
	event.hide('immersiveengineering:dust_sulfur')
	event.hide('mekanism:dust_sulfur')
	event.hide('eidolon:sulfur')
	//Sulfur ore
	event.hide('thermal:sulfur_ore')
//
//POTASSIUM NITRATE
	//Potassium nitrate gem
	event.hide('thermal:niter')
	//Potassium nitrate block
	event.hide('thermal:niter_block')
	//Potassium nitrate dust
	event.hide('thermal:niter_dust')
//
//MANA GEM/ARCANE
	//Mana gem
	event.hide('ars_nouveau:mana_gem')
	//Mana block
	event.hide('ars_nouveau:mana_gem_block')
	//Mana gem
	event.hide('ars_nouveau:arcane_ore')
//
//DIMENSIONAL SHARD
	//
//
//BRONZE
	//Bronze ingot
	event.hide('silents_mechanisms:bronze_ingot')
	event.hide('mekanism:ingot_bronze')
	event.hide('thermal:bronze_ingot')
	//Bronze block
	event.hide('silents_mechanisms:bronze_block')
	event.hide('mekanism:block_bronze')
	event.hide('thermal:bronze_block')
	//Bronze nugget
	event.hide('silents_mechanisms:bronze_nugget')
	event.hide('mekanism:nugget_bronze')
	event.hide('thermal:bronze_nugget')
	//Bronze dust
	event.hide('silents_mechanisms:bronze_dust')
	event.hide('mekanism:dust_bronze')
	//Bronze gear
	event.hide('thermal:bronze_gear')
	//Bronze plate
	event.hide('thermal:bronze_plate')
//
//BRASS
	//Brass ingot
	event.hide('silents_mechanisms:brass_ingot')
	event.hide('create:brass_ingot')
	//Brass block
	event.hide('silents_mechanisms:brass_block')
	event.hide('create:brass_block')
	//Brass nugget
	event.hide('silents_mechanisms:brass_nugget')
	event.hide('create:brass_nugget')
	//Brass dust
	event.hide('silents_mechanisms:brass_dust')
	//Brass plate
	event.hide('create:brass_sheet')
	//Brass rod
	// event.hide('createaddition:brass_rod')
//
//ELECTRUM
	//Electrum ingot
	event.hide('silents_mechanisms:electrum_ingot')
	event.hide('thermal:electrum_ingot')
	event.hide('immersiveengineering:ingot_electrum')
	//Electrum block
	event.hide('silents_mechanisms:electrum_block')
	event.hide('thermal:electrum_block')
	event.hide('immersiveengineering:storage_electrum')
	//Electrum nugget
	event.hide('silents_mechanisms:electrum_nugget')
	event.hide('thermal:electrum_nugget')
	event.hide('immersiveengineering:nugget_electrum')
	//Electrum dust
	event.hide('silents_mechanisms:electrum_dust')
	event.hide('immersiveengineering:dust_electrum')
	//Electrum gear
	event.hide('thermal:electrum_gear')
	//Electrum plate
	event.hide('thermal:electrum_plate')
	event.hide('immersiveengineering:plate_electrum')
	//Electrum rod
	event.hide('immersiveposts:stick_electrum')
//
//CONSTANTAN
	//Constantan ingot
	event.hide('thermal:constantan_ingot')
	event.hide('immersiveengineering:ingot_constantan')
	//Constantan block
	event.hide('thermal:constantan_block')
	event.hide('immersiveengineering:storage_constantan')
	//Constantan nugget
	event.hide('thermal:constantan_nugget')
	event.hide('immersiveengineering:nugget_constantan')
	//Constantan dust
	event.hide('immersiveengineering:dust_constantan')
	//Constantan gear
	event.hide('thermal:constantan_gear')
	//Constantan plate
	event.hide('thermal:constantan_plate')
	event.hide('immersiveengineering:plate_constantan')
	//Constantan rod
	event.hide('immersiveposts:stick_constantan')
//
//STEEL
	//Steel ingot
	event.hide('silents_mechanisms:steel_ingot')
	event.hide('mekanism:ingot_steel')
	event.hide('assemblylinemachines:steel_ingot')
	event.hide('immersiveengineering:ingot_steel')
	//Steel block
	event.hide('silents_mechanisms:steel_block')
	event.hide('mekanism:block_steel')
	event.hide('assemblylinemachines:steel_block')
	event.hide('immersiveengineering:storage_steel')
	//Steel nugget
	event.hide('silents_mechanisms:steel_nugget')
	event.hide('mekanism:nugget_steel')
	event.hide('assemblylinemachines:steel_nugget')
	event.hide('immersiveengineering:nugget_steel')
	//Steel dust
	event.hide('silents_mechanisms:steel_dust')
	event.hide('mekanism:dust_steel')
	event.hide('immersiveengineering:dust_steel')
	//Steel plate
	event.hide('immersiveengineering:plate_steel')
	//Steel rod
	event.hide('immersiveengineering:stick_steel')
//
//INVAR
	//Invar ingot
	event.hide('silents_mechanisms:invar_ingot')
	event.hide('thermal:invar_ingot')
	//Invar block
	event.hide('silents_mechanisms:invar_block')
	event.hide('thermal:invar_block')
	//Invar nugget
	event.hide('silents_mechanisms:invar_nugget')
	event.hide('thermal:invar_nugget')
	//Invar dust
	event.hide('silents_mechanisms:invar_dust')
	//Invar gear
	event.hide('thermal:invar_gear')
	//Invar plate
	event.hide('thermal:invar_plate')
//
//LUMIUM
	//Lumium ingot
	event.hide('silents_mechanisms:lumium_ingot')
	event.hide('thermal:lumium_ingot')
	//Lumium block
	event.hide('silents_mechanisms:lumium_block')
	event.hide('thermal:lumium_block')
	//Lumium nugget
	event.hide('silents_mechanisms:lumium_nugget')
	event.hide('thermal:lumium_nugget')
	//Lumium dust
	event.hide('silents_mechanisms:lumium_dust')
	//Lumium gear
	event.hide('thermal:lumium_gear')
	//Lumium plate
	event.hide('thermal:lumium_plate')
//
//SIGNALUM
	//Signalum ingot
	event.hide('silents_mechanisms:signalum_ingot')
	event.hide('thermal:signalum_ingot')
	//Signalum block
	event.hide('silents_mechanisms:signalum_block')
	event.hide('thermal:signalum_block')
	//Signalum nugget
	event.hide('silents_mechanisms:signalum_nugget')
	event.hide('thermal:signalum_nugget')
	//Signalum dust
	event.hide('silents_mechanisms:signalum_dust')
	//Signalum gear
	event.hide('thermal:signalum_gear')
	//Signalum plate
	event.hide('thermal:signalum_plate')
//
//ENDERIUM
	//Enderium ingot
	event.hide('silents_mechanisms:enderium_ingot')
	event.hide('thermal:enderium_ingot')
	//Enderium block
	event.hide('silents_mechanisms:enderium_block')
	event.hide('thermal:enderium_block')
	//Enderium nugget
	event.hide('silents_mechanisms:enderium_nugget')
	event.hide('thermal:enderium_nugget')
	//Enderium dust
	event.hide('silents_mechanisms:enderium_dust')
	//Enderium gear
	event.hide('thermal:enderium_gear')
	//Enderium plate
	event.hide('thermal:enderium_plate')
//
//SILICON
	//Silicon gem.
	//event.hide('appliedenergistics2:silicon')
	event.hide('tinyredstone:silicon')
	event.hide('refinedstorage:silicon')
	event.hide('emendatusenigmatica:silicon')
//
//COAL COKE
	//Coal coke gem
	event.hide('immersiveengineering:coal_coke')
	event.hide('thermal:coal_coke')
	//Coal coke block
	event.hide('immersiveengineering:coke')
	event.hide('thermal:coal_coke_block')
	//Coal coke dust
	event.hide('immersiveengineering:dust_coke')
//
//CHARCOAL
	//Charcoal dust
	event.hide('mekanism:dust_charcoal')
	event.hide('assemblylinemachines:ground_charcoal')
//
//ENS
	event.hide(/exnihilosequentia:crook_./)
	event.hide(/exnihilosequentia:hammer_./)
	event.hide('exnihilosequentia:end_cake')
	event.hide('exnihilosequentia:infesting_leaves')
	event.hide('exnihilosequentia:infested_leaves')
	event.hide('exnihilosequentia:silkworm')
	event.hide('exnihilosequentia:cooked_silkworm')
	event.hide('exnihilosequentia:chunk_copper')
	event.hide('exnihilosequentia:chunk_zinc')
//
//OTHER
	event.hide('minecraft:redstone_ore')
	event.hide(/minecraft:tipped_arrow/)
	event.hide(/minecraft:lingering_potion/)
	event.hide(/minecraft:shield/)
	event.hide('geolosys:ancient_debris_cluster')
	event.hide('rftoolsbase:machine_infuser')
	event.hide(/rftoolsbase:infused_*/)
	event.hide(/rftoolsbase:dimensionalshard.*/)
	event.hide('rftoolsbase:manual')
	event.hide(/rftoolsbase:smartwrench.*/)
	event.hide('appliedenergistics2:condenser')
	event.hide('appliedenergistics2:quartz_growth_accelerator')
	event.hide('appliedenergistics2:vibration_chamber')
	event.hide('appliedenergistics2:charged_staff')
	event.hide('appliedenergistics2:entropy_manipulator')
	event.hide(/(boss_tools|appliedenergistics2):(steel|nether_quartz|certus_quartz)_(sword|shovel|(pick)?axe|hoe)/)
    event.hide(/ceramics:clay_(helmet|chestplate|leggings|boots)/)
	event.hide('sophisticatedbackpacks:crafting_upgrade')
	event.hide("sophisticatedbackpacks:xp_pump_upgrade")
	event.hide(/curios:.*/)
	event.hide(/theoneprobe:.*/)
	event.hide("darkutils:redstone_randomizer")
	event.hide(/darkutils:book_.*/)
	event.hide("darkutils:dark_glass")
	event.hide("industrialforegoing:dark_glass")
	event.hide("ironfurnaces:rainbow_core")
	event.hide("ironfurnaces:rainbow_plating")
	event.hide("ironfurnaces:heater")
	event.hide("ironfurnaces:item_heater")
	event.hide("ftbquests:missing_item")
	event.hide("ftbquests:custom_icon")
	event.hide("ftbquests:barrier")
	event.hide("ftbquests:stage_barrier")
	event.hide("ftbquests:detector")
	event.hide("tinkersarchery:awesome_archery")
	event.hide(/ftblibrary/)
	event.hide("pipez:gas_pipe")
	event.hide("createaddition:seed_oil_bucket")
	event.hide("createaddition:overcharged_hammer")
	event.hide("createaddition:diamond_grit_sandpaper")
	event.hide("createaddition:overcharged_casing")
	event.hide("createaddition:charging_chromatic_compound")
	event.hide("createaddition:iron_wire")
	event.hide("cataclysm:void_jaw")
	event.hide("cataclysm:void_scatter_arrow")
	event.hide("cataclysm:monstrous_helm")
	event.hide(/spawn_egg/)
	event.hide(/progressivebosses/)
	event.hide(/autoleveling/)
	event.hide(/pamhc2crops:(arid|frost|shaded|soggy|tropical|windy)garden/)
//
//EXTENDED CRAFTING
	event.hide("extendedcrafting:luminessence_block")
	event.hide("extendedcrafting:black_iron_block")
	event.hide("extendedcrafting:enhanced_redstone_ingot_block")
	event.hide("extendedcrafting:ender_ingot_block")
	event.hide("extendedcrafting:enhanced_ender_ingot_block")
	// event.hide("extendedcrafting:ender_star_block")
	event.hide("extendedcrafting:frame")
	event.hide("extendedcrafting:luminessence")
	event.hide("extendedcrafting:black_iron_ingot")
	event.hide("extendedcrafting:enhanced_redstone_ingot")
	event.hide("extendedcrafting:ender_ingot")
	event.hide("extendedcrafting:enhanced_ender_ingot")
	event.hide("extendedcrafting:black_iron_nugget")
	event.hide("extendedcrafting:enhanced_redstone_nugget")
	event.hide("extendedcrafting:ender_nugget")
	event.hide("extendedcrafting:enhanced_ender_nugget")
	event.hide("extendedcrafting:black_iron_slate")
	event.hide("extendedcrafting:basic_catalyst")
	event.hide("extendedcrafting:advanced_catalyst")
	event.hide("extendedcrafting:elite_catalyst")
	event.hide("extendedcrafting:ultimate_catalyst")
	event.hide("extendedcrafting:redstone_catalyst")
	event.hide("extendedcrafting:enhanced_redstone_catalyst")
	event.hide("extendedcrafting:ender_catalyst")
	event.hide("extendedcrafting:enhanced_ender_catalyst")
	event.hide("extendedcrafting:crystaltine_catalyst")
	event.hide("extendedcrafting:the_ultimate_catalyst")
	event.hide("extendedcrafting:basic_component")
	event.hide("extendedcrafting:advanced_component")
	event.hide("extendedcrafting:elite_component")
	event.hide("extendedcrafting:ultimate_component")
	event.hide("extendedcrafting:redstone_component")
	event.hide("extendedcrafting:enhanced_redstone_component")
	event.hide("extendedcrafting:ender_component")
	event.hide("extendedcrafting:enhanced_ender_component")
	event.hide("extendedcrafting:crystaltine_component")
	event.hide("extendedcrafting:the_ultimate_component")
	// event.hide("extendedcrafting:ender_star")
	event.hide("extendedcrafting:handheld_table")
	event.hide("extendedcrafting:compressor")
	event.hide("extendedcrafting:basic_table")
	event.hide("extendedcrafting:basic_auto_table")
//
//TOMBSTONE
	event.hide("tombstone:book_of_recycling")
	event.hide("tombstone:book_of_repairing")
	event.hide("tombstone:voodoo_poppet")
	event.hide("tombstone:dust_of_vanishing")
	event.hide("tombstone:book_of_magic_impregnation")
	event.hide("tombstone:book_of_disenchantment")
	event.hide("tombstone:bone_needle")
	event.hide("tombstone:smoke_ball")
	event.hide("tombstone:impregnated_diamond")
	event.hide("tombstone:familiar_receptacle")
	event.hide("tombstone:fishing_rod_of_misadventure")
	event.hide("tombstone:strange_scroll")
	event.hide("tombstone:strange_tablet")
	event.hide("tombstone:ankh_of_pray")
	event.hide("tombstone:soul_receptacle")

//
//ProjectE & ProjectExpansion
	event.hide("projecte:black_hole_band")
	event.hide("projecte:archangel_smite")
	event.hide("projecte:harvest_goddess_band")
	event.hide("projecte:ignition_ring")
	event.hide("projecte:zero_ring")
	event.hide("projecte:swiftwolf_rending_gale")
	event.hide("projecte:evertide_amulet")
	event.hide("projecte:volcanite_amulet")
	event.hide("projecte:gem_of_eternal_density")
	event.hide("projecte:mercurial_eye")
	event.hide("projecte:body_stone")
	event.hide("projecte:soul_stone")
	event.hide("projecte:mind_stone")
	event.hide("projecte:life_stone")
	event.hide("projecte:void_ring")
	event.hide("projectexpansion:matter_upgrader")
	event.hide("projecte:interdiction_torch")
	event.hide("projecte:divining_rod_1")
	event.hide("projecte:divining_rod_2")
	event.hide("projecte:divining_rod_3")
	event.hide("projecte:destruction_catalyst")
	event.hide("projecte:hyperkinetic_lens")
	event.hide("projecte:tome")
	event.hide("projecte:iron_band")
	event.hide("projecte:repair_talisman")
	event.hide("projecte:arcana_ring")
	event.hide("projecte:catalytic_lens")
	event.hide("projecte:nova_catalyst")
	event.hide("projecte:nova_cataclysm")
	event.hide(/projecte:(dm|rm)_hammer/)
	event.hide(/projecte:rm_morning_star/)
//
//MiniUtilities
	event.hide("miniutilities:solar_panel")
	event.hide("miniutilities:solar_panel_controller")
	event.hide("miniutilities:lunar_panel")
	event.hide("miniutilities:ender_tile")
	event.hide("miniutilities:chorus_tile")
	event.hide("miniutilities:stone_drum")
	event.hide("miniutilities:iron_drum")
	event.hide("miniutilities:reinforced_large_drum")
	event.hide("miniutilities:netherite_reinforced_drum")
	event.hide("miniutilities:unstable_drum")
	event.hide("miniutilities:quantum_quarry")
	event.hide("miniutilities:golden_lasso")
	event.hide("miniutilities:speed_upgrade")
	event.hide("miniutilities:laser_hub")
	event.hide("miniutilities:laser_port")
	event.hide("miniutilities:angel_block")
	event.hide("miniutilities:dark_glass")
//
//CREATEGEARS & CREATEGEARADDON
	event.hide('creategears:half_shaft_gear')
	event.hide('creategears:large_half_shaft_gear')
	event.hide('creategearaddon:large_half_shaft_oak_cogwheel')
	event.hide('creategearaddon:large_half_shaft_jungle_cogwheel')
	event.hide('creategearaddon:large_half_shaft_birch_cogwheel')
	event.hide('creategearaddon:large_half_shaft_acacia_cogwheel')
	event.hide('creategearaddon:large_half_shaft_dark_oak_cogwheel')
	event.hide('creategearaddon:large_half_shaft_crimson_cogwheel')
	event.hide('creategearaddon:large_half_shaft_warped_cogwheel')
	event.hide('creategearaddon:half_shaft_oak_cogwheel')
	event.hide('creategearaddon:half_shaft_jungle_cogwheel')
	event.hide('creategearaddon:half_shaft_birch_cogwheel')
	event.hide('creategearaddon:half_shaft_acacia_cogwheel')
	event.hide('creategearaddon:half_shaft_dark_oak_cogwheel')
	event.hide('creategearaddon:half_shaft_crimson_cogwheel')
	event.hide('creategearaddon:half_shaft_warped_cogwheel')
//
//BOSS_TOOLS
	event.hide('boss_tools:water_pump')
	event.hide('boss_tools:hammer')
	// event.hide('boss_tools:compressor')
	event.hide('boss_tools:blast_furnace')
	event.hide('boss_tools:solar_panel')
	event.hide('boss_tools:coal_generator')
	event.hide('boss_tools:fuel_refinery')
	event.hide('boss_tools:oxygen_loader')
	event.hide(/boss_tools:wheel/)
	event.hide(/boss_tools:rover/)
//
//CAGED MOBS
	event.hide("cagedmobs:crystallized_experience")
	event.hide("cagedmobs:crystallized_experience_block")
	event.hide("cagedmobs:experience_upgrade")
//
//PROJECT RED CORE
	event.hide("projectred-core:draw_plate")
	event.hide("projectred-core:electrotine_ingot")
	event.hide("projectred-core:electrotine_generator")
	event.hide("projectred-core:electrotine_dust")
	event.hide("projectred-core:conductive_plate")
	event.hide("projectred-core:wired_plate")
	event.hide("projectred-core:bundled_plate")
	event.hide("projectred-core:anode")
	event.hide("projectred-core:cathode")
	event.hide("projectred-core:pointer")
	event.hide("projectred-core:silicon_chip")
	event.hide("projectred-core:energized_silicon_chip")
	event.hide("projectred-core:sand_coal_comp")
	event.hide("projectred-core:red_iron_comp")
	event.hide("projectred-core:electrotine_iron_comp")
	event.hide("projectred-core:sail")
	event.hide("projectred-core:woven_cloth")
	event.hide("projectred-core:motor")
	event.hide("projectred-core:gold_coil")
	event.hide("projectred-core:iron_coil")
	event.hide("projectred-core:copper_coil")
	event.hide("projectred-core:electrotine_silicon")
	event.hide("projectred-core:energized_silicon")
	event.hide("projectred-core:infused_silicon")
	event.hide("projectred-core:electrotine_silicon_comp")
	event.hide("projectred-core:glow_silicon_comp")
	event.hide("projectred-core:red_silicon_comp")
	event.hide("projectred-core:silicon")
	event.hide("projectred-core:boule")
//
//AVARITIA
	event.hide("avaritia:neutron_collector")
	event.hide("avaritia:record_fragment")
	event.hide("avaritia:iron_singularity")
	event.hide("avaritia:golden_singularity")
	event.hide("avaritia:lapis_singularity")
	event.hide("avaritia:redstone_singularity")
	event.hide("avaritia:nether_quartz_singularity")
	event.hide("avaritia:diamond_singularity")
	event.hide("avaritia:emerald_singularity")
	event.hide("avaritia:neutronium_compressor")
	event.hide("avaritia:compressed_crafting_table")
	event.hide("avaritia:double_compressed_crafting_table")
	event.hide("avaritia:extreme_crafting_table")
//
//MEKANISM
	event.hide(/mekanism:creative_chemical_tank/)
	event.hide(/mekanism:creative_fluid_tank/)
//
//EE
	event.hide(/emendatusenigmatica:\b.*_ore/)
	event.hide(/emendatusenigmatica:\b.*_bucket/)
	event.hide(/emendatusenigmatica:peridot.*/)
	event.hide(/emendatusenigmatica:dimensional.*/)
	event.hide(/emendatusenigmatica:arcane.*/)
	event.hide(/emendatusenigmatica:potassium.*/)
	event.hide(/emendatusenigmatica:sulfur.*/)
	event.hide(/emendatusenigmatica:apatite.*/)
	event.hide(/emendatusenigmatica:cinnabar.*/)
	event.hide(/emendatusenigmatica:bitumen.*/)
	event.hide(/emendatusenigmatica:certus_quartz.*/)
	event.hide(/emendatusenigmatica:charged_certus_quartz.*/)
	event.hide(/emendatusenigmatica:iridium.*/)
	event.hide(/emendatusenigmatica:regalium.*/)
	event.hide(/emendatusenigmatica:utherium.*/)
	event.hide(/emendatusenigmatica:froststeel.*/)
	event.hide(/emendatusenigmatica:cloggrum.*/)
	event.hide(/emendatusenigmatica:nebu.*/)
	event.hide(/emendatusenigmatica:iesnium.*/)
	event.hide(/emendatusenigmatica:thallasium.*/)
	// event.hide(/emendatusenigmatica:cast_iron.*/)
	event.hide(/emendatusenigmatica:lumium.*/)
	event.hide(/emendatusenigmatica:signalum.*/)
	event.hide(/emendatusenigmatica:\b.*_hammer/)
	event.hide("emendatusenigmatica:enigmatic_fortunizer")
//
//TCONSTRUCT
	event.hide(/tconstruct:(pickaxe|sledge_hammer|vein_hammer|mattock|excavator|hand_axe|broad_axe|kama|scythe|dagger|sword|cleaver)\b/)
	event.hide(/tconstruct:\b.*_(helmet|chestplate|leggings|boots)/)
	event.hide(/constructsarmory:material_armor_(boots|leggings|chestplate|helmet)/)
	event.hide(/materialis:wrench\b/)
	event.hide(/tinkersarchery:(shortbow|longbow|crossbow|tinkers_arrow)\b/)
	event.hide("tinkersarchery:tantalum_ore")
//
//QUARK
	event.hide(/quark:\b.*_speleothem/)
	event.hide(/quark:\b.*_post/)
	event.hide(/quark:\b.*_shard/)
	event.hide(/quark:\b.*_wool/)
	event.hide(/quark:\b.*_carpet/)
	event.hide(/quark:\b.*_crate/)
	event.hide(/quark:\b.*_sack/)
	// event.hide(/quark:\b.*_rune/)
	event.hide(/quark:\b.*_sapling/)
	event.hide(/quark:\b.*_spawn_egg/)
	event.hide(/quark:\b.*_candle/)
	event.hide(/quark:\b.*_leg/)
	event.hide(/quark:\b.*_hedge/)
	event.hide(/quark:ancient_tome/)
	event.hide(/quark:biotite/)
	event.hide(/quark:biotite.*/)
	event.hide(/quark:red_blossom.*/)
	event.hide(/quark:yellow_blossom.*/)
	event.hide(/quark:ping_blossom.*/)
	event.hide(/quark:orange_blossom.*/)
	event.hide(/quark:lavender_blossom.*/)
	event.hide(/quark:blue_blossom.*/)
	event.hide(/quark:red_crystal.*/)
	event.hide(/quark:orange_crystal.*/)
	event.hide(/quark:yellow_crystal.*/)
	event.hide(/quark:green_crystal.*/)
	event.hide(/quark:blue_crystal.*/)
	event.hide(/quark:indigo_crystal.*/)
	event.hide(/quark:violet_crystal.*/)
	event.hide(/quark:white_crystal.*/)
	event.hide(/quark:black_crystal.*/)
	event.hide(/quark:waxed.*/)
	event.hide(/quark:redstone.*/)
	event.hide(/quark:forgotten.*/)
	event.hide(/quark:music_disc.*/)
	event.hide(/quark:crab.*/)
	event.hide(/quark:paper.*/)
	event.hide(/quark:seed_pouch/)
	event.hide("quark:abacus")
	event.hide("quark:backpack")
	event.hide("quark:stone_lamp")
	event.hide("quark:stone_brick_lamp")
	event.hide("quark:diamond_heart")
	event.hide("quark:weather_sensor")
	event.hide("quark:lit_lamp")
	event.hide("quark:flamerang")
	event.hide("quark:pickarang")
	event.hide("quark:trowel")
	event.hide("quark:soul_compass")
	event.hide("quark:soul_bead")
	event.hide("quark:chute")
	event.hide("quark:tallow")
	event.hide("quark:ravager_hide")
	event.hide("quark:root")
	event.hide("quark:root_item")
	event.hide("quark:magnet")
	event.hide("quark:elder_sea_lantern")
	event.hide('quark:iron_rod')
	event.hide('quark:feeding_trough')
	event.hide('quark:grate')
	event.hide('quark:pallet')
	event.hide('quark:dirty_glass')
	event.hide('quark:dirty_glass_pane')
	event.hide('quark:matrix_enchanter')
	event.hide('quark:cactus_paste')
	event.hide('quark:cactus_block')
	event.hide('quark:chorus_fruit_block')
//
//CHARM
	event.hide(/charm:refined_obsidian_.*/)
	event.hide('charm:kiln')
	event.hide(/charm:atlas/)
	event.hide('charm:netherite_nugget')
	event.hide('charm:endermite_powder')
//
//SUPERIOR SWORDS
	event.hide(/superior_swords/)
//
//MORE BOWS
	event.hide("morebows:stone_bow")
	event.hide("morebows:iron_bow")
	event.hide("morebows:gold_bow")
//
//PAMHC2
	event.hide("pamhc2trees:pamapple")
	event.hide("pamhc2trees:pamavocado")
	event.hide("pamhc2trees:pamcandlenut")
	event.hide("pamhc2trees:pamcherry")
	event.hide("pamhc2trees:pamchestnut")
	event.hide("pamhc2trees:pamgooseberry")
	event.hide("pamhc2trees:pamlemon")
	event.hide("pamhc2trees:pamnutmeg")
	event.hide("pamhc2trees:pamorange")
	event.hide("pamhc2trees:pampeach")
	event.hide("pamhc2trees:pampear")
	event.hide("pamhc2trees:pamplum")
	event.hide("pamhc2trees:pamwalnut")
	event.hide("pamhc2trees:pamspiderweb")
	event.hide("pamhc2trees:pamhazelnut")
	event.hide("pamhc2trees:pampawpaw")
	event.hide("pamhc2trees:pamsoursop")
	event.hide("pamhc2trees:pamalmond")
	event.hide("pamhc2trees:pamapricot")
	event.hide("pamhc2trees:pambanana")
	event.hide("pamhc2trees:pamcashew")
	event.hide("pamhc2trees:pamcinnamon")
	event.hide("pamhc2trees:pamcoconut")
	event.hide("pamhc2trees:pamdate")
	event.hide("pamhc2trees:pamdragonfruit")
	event.hide("pamhc2trees:pamdurian")
	event.hide("pamhc2trees:pamfig")
	event.hide("pamhc2trees:pamgrapefruit")
	event.hide("pamhc2trees:pamlime")
	event.hide("pamhc2trees:pammango")
	event.hide("pamhc2trees:pamolive")
	event.hide("pamhc2trees:pampapaya")
	event.hide("pamhc2trees:pampaperbark")
	event.hide("pamhc2trees:pampecan")
	event.hide("pamhc2trees:pampeppercorn")
	event.hide("pamhc2trees:pampersimmon")
	event.hide("pamhc2trees:pampistachio")
	event.hide("pamhc2trees:pampomegranate")
	event.hide("pamhc2trees:pamstarfruit")
	event.hide("pamhc2trees:pamvanillabean")
	event.hide("pamhc2trees:pambreadfruit")
	event.hide("pamhc2trees:pamguava")
	event.hide("pamhc2trees:pamjackfruit")
	event.hide("pamhc2trees:pamlychee")
	event.hide("pamhc2trees:pampassionfruit")
	event.hide("pamhc2trees:pamrambutan")
	event.hide("pamhc2trees:pamtamarind")
	event.hide("pamhc2trees:pammaple")
	event.hide("pamhc2trees:pampinenut")
//
//fin
//
})